Account Ownership Verification Confirmation API
Validates the verification code confirmed by the customer.
Account Ownership Verification Confirmation (2-Step, Step 2)
Validates the verification code confirmed by the customer.
API Information
POST/v1/api/auth/ownership/check
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/auth/ownership/check운영
https://npay.settlebank.co.kr/v1/api/auth/ownership/checkRequest Parameters
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code. Fixed value.
Message type code. Fixed value.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant transaction number. Must match the value sent in the request step.
Merchant transaction number. Must match the value sent in the request step.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID. AES-256 encrypted.Customer ID. AES-256 encrypted.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date.
Request date.
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
└authNoAN(12)Alphanumeric, up to 12 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Verification code (excluding sender name). AES-256 encrypted.Verification code (excluding sender name). AES-256 encrypted.
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature Composition
mchtId + reqDt + reqTm + mchtTrdNo + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
SuccessResult message.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5PaddingCustomer ID. AES-256 encrypted.kimhectoCustomer ID. AES-256 encrypted.
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Transaction reference number.
STFP_FIRM12345678901234567890Transaction reference number.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant transaction number.
OID201902210001Merchant transaction number.
Need technical support?
Code Samples
HectoFinancial GitHub